Subject: Re: linux-next: build warning after merge of the i2c tree

From: Jean Delvare <[email-masked]>
Date: Mon, 29 Mar 2010 15:21:55 +0200

Hi Stephen,

On Mon, 29 Mar 2010 10:54:39 +1100, Stephen Rothwell wrote:
> Hi Jean,
> 
> After merging the ii2c tree, today's linux-next build (powerpc
> ppc64_defconfig) produced this warning:
> 
> drivers/i2c/i2c-core.c:159: warning: 'i2c_legacy_suspend' defined but not used
> drivers/i2c/i2c-core.c:172: warning: 'i2c_legacy_resume' defined but not used
> 
> Introduced by commit 592b0bd0324728fe0aca823951eba06a9494c2f9 ("i2c: Fix
> bus-level power management callbacks").  These routines are only called
> if CONFIG_PM_SLEEP is defined.

Err, sorry. I noticed the problem and fixed it some days ago, but
forgot to refresh the patch before pushing it to you. This is fixed
now, thanks for the notice.

-- 
Jean Delvare